# Uses of Class
org.eclipse.ui.views.markers.internal.ConcreteMarker

Packages that use ConcreteMarker
Package
Description
org.eclipse.ui.views.markers.internal

## Uses of ConcreteMarker in org.eclipse.ui.views.markers.internal

Subclasses of ConcreteMarker in org.eclipse.ui.views.markers.internal
Modifier and Type
Class
Description
`class`
`ProblemMarker`
`class`
`TaskMarker`
Represents a marker visible in the Tasks view.
Methods in org.eclipse.ui.views.markers.internal that return ConcreteMarker
Modifier and Type
Method
Description
`ConcreteMarker`
ConcreteMarker.`getConcreteRepresentative()`
`abstract ConcreteMarker`
MarkerNode.`getConcreteRepresentative()`
Get a concrete marker from the receiver.
Methods in org.eclipse.ui.views.markers.internal with parameters of type ConcreteMarker
Modifier and Type
Method
Description
`boolean`
MarkerFilter.`select(ConcreteMarker marker)`
Return whether or not the receiver would select the marker.
`protected boolean`
MarkerFilter.`selectMarker(ConcreteMarker marker)`
Subclasses should override to determine if the given marker passes the filter.
`boolean`
ProblemFilter.`selectMarker(ConcreteMarker marker)`